#
# spec file for package smb4k (Version 0.7.5)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel arts arts-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cups-devel cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-qt3 dbus-1-qt3-devel desktop-translations diffutils e2fsprogs expat fam fam-devel file fileshareset filesystem fillup findutils flac flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv jack jack-devel kdebase3 kdebase3-devel kdelibs3 kdelibs3-arts kdelibs3-devel kdelibs3-doc klogd less libacl libacl-devel libart_lgpl libart_lgpl-devel libattr libattr-devel libcom_err libdrm libdrm-devel libgcc41 libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel liblazy liblcms liblcms-devel libltdl libmng libmng-devel libmudflap41 libnscd libogg libogg-devel libpng libpng-devel libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtiff-devel libtool libvolume_id libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio linux-kernel-headers m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch pcre pcre-devel perl permissions pkgconfig popt procinfo procps psmisc pwdutils python qt3 qt3-devel rcs readline rpm sed sgml-skel sqlite strace sudo sysvinit tar tcpd texinfo timezone unsermake unzip update-desktop-files util-linux vim xorg-x11 xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           smb4k
BuildRequires:  kdebase3-devel
%if %suse_version < 1010
BuildRequires:  update-desktop-files
%endif
License:        GNU General Public License (GPL)
Group:          Productivity/Networking/Samba
Summary:        Extended SMB and CIFS Share Browser for KDE
Version:        0.7.5
Release:        14.1
URL:            http://smb4k.berlios.de/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %name-%version.tar.bz2
Patch:          %name.diff
Patch1:         fix_libtool.patch
Patch2:         003_security_fix_smb4k_0.7.5.diff

%description
Smb4K is a more extensive share browser than the standard KDE network
browser (via smb:/ slave). It has a larger number of features and is
also designed as an administrator tool.



Authors:
--------
    Alexander Reinholdt <dustpuppy@mail.berlios.de>

%debug_package
%prep 
%setup -q 
%patch
%patch1
%patch2 -p 1
. /etc/opt/kde3/common_options
update_admin  --no-unsermake 

%build
. /etc/opt/kde3/common_options
./configure $configkde --disable-final
make %{?jobs:-j%jobs}

%install
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
kde_post_install
%suse_update_desktop_file -r %name System Network
%find_lang %name

%post
%run_ldconfig

%postun
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
/opt/kde3/bin/*
/opt/kde3/%_lib/*
/opt/kde3/include
/opt/kde3/share/apps/konqsidebartng/add/smb4k_add.desktop
/opt/kde3/share/apps/smb4k
/opt/kde3/share/appl*/*/*.desktop
/opt/kde3/share/icons/*

%changelog -n smb4k
* Mon Jan 22 2007 - stbinner@suse.de
- fix for several security weaknesses in the utility programs and
  in the Smb4KFileIO class (#225751)
- 0.7.5 update
  * Fixed a serious bug in Smb4KFileIO that could cause a corrupted
  /etc/sudoers file if debug or error output was received via
  stderr while reading the file for subsequent processing.
- 0.7.4 update
  * Fixed a bug in Smb4KSearchDialog::slotCheckItemInBrowser()
  that occurred when a server item had no IP address displayed.
  * Fixed a bug in the shell code that was used to retrieve the
  list of workgroup/domain members from the master browser.
  * Improved error handling in Smb4KScanner::processHosts().
  * Implemented better error handling in Smb4KSynchronizer:
  The synchronization is canceled if an error occurrs. This
  prevents the user from being flooded with error dialogs.
  * Fixed a bug that occurred when reading or writing the file
  and directory mask.
  * Changed the address used for reporting bugs via Help->Report Bugs.
  * Updated several translations.
* Tue Sep 26 2006 - stbinner@suse.de
- 0.7.3 update
  * Updated help texts, handbook, README and translations.
  * Fixed several issues in Smb4KFileIO:
  * A host item will be collapsed if the authentication failed
  * Fixed insertion of a host from the search dialog to the browser
  window when the host has no IP address displayed.
  * Added missing error code to Smb4KGlobal::showCoreError().
  * Preview dialog won't accept contents of a wrong address anymore.
  * The wallet will be reopened if it was closed by the user,
  the screensaver, etc.
  * The text streams are now aware of the locale.
* Thu Aug 03 2006 - stbinner@suse.de
- 0.7.2 update
  * Several crashes, memory leaks and other bugs fixed.
  * Updated several translations and handbook
* Mon Jun 19 2006 - stbinner@suse.de
- 0.7.1 update
  * Fixed misc compilation errors
  * Updated translation and handbook
  * Introduced the possibility to modify the length of the interval
  between checks for external mounts/umounts and dead shares.
  * The timer will be disconnected from Smb4KScanner::start() if the
  scanner is idle. This drastically reduces the CPU load!
  * Fixed input validation when using smbclient for searching
  * Fixed a bug that prevented the correct saving of updated
  authentication information.
  * Fixed smb4k.desktop file.
  * Removed two queries for a non-existent config entry.
  * Made the synchronization progress dialog work correctly with
  the latest version of rsync.
  * Fixed a crash in the network browser's tooltip code.
* Wed May 24 2006 - adrian@suse.de
- fix build for < 10.1
* Tue May 02 2006 - stbinner@suse.de
- 0.7 update
  * KonqSidebar_Smb4K: hang up the new alreadyMountedShare signal
  from mounter. No error dialogs of "already been mounted share"
  anymore (partially closes #5636).
  * The old tab widget in the main window has been removed.
  * Added shortcuts to the main window that allow jumping to each
  dock widget: CTRL+1: Network Browser, CTRL+2/CTRL+S: Search
  Dialog, CTRL+3: Shares View.
  * Unified look of dialogs.
  * Did a major revision of the browser widget.
  * Did a major revision of the search dialog (closes #2247).
  * Did several changes to the shares view.
  * The bookmark editor allows editing of the IP address and
  workgroup.
  * Put Smb4KShareWidgetItem class in own files.
  * Removed obsolete options "This master browser needs
  authentication" and "Use authentication when querying the
  workgroup master browsers" from the configuration dialog.
  * When closing the configuration dialog, the root password is
  only asked, if the user changed one of the super user options
  (partially closes #5636).
  * The removal of the super user entries from super.tab and/or
  sudoers is now determined by the choice in the configuration
  dialog.
  * Rewrote Smb4KSharesMenuWidget class.
  * Added new Smb4KShareActionMenu and Smb4KBrowserActionMenu
  classes. They contain the actions that were defined in
  Smb4KShareWidget and Smb4KBrowserWidget before, respectively. The
  use of Smb4KShareActionMenu in the system tray icon closes #5622.
  * Replaced deprecated KStdActions.
  * Introduced new Smb4KDataItem container for the core classes.
  * Revised bookmark handling (closes #6316).
  * The scanner class underwent a major revision (closes #4417).
  * Massively changed the entries and groups in the configuration
  file. As consequence, Smb4K will be incompatible with prior
  versions.
  * Added ability to synchronize a local copy with a remote share
  and vice versa (closes #1940). This feature uses Rsync. A few
  of the many options have been stripped, because they are used
  for transfer from remote hosts, which is no the case here.
  * Information of any share will now be collected by the mounter.
  Smb4KCore has been tidied up accordingly. Information of the
  number of files and directories has been dropped (for now).
  * Removed Catalan, Norwegian Nynorsk, Chinese Traditional (zh_TW)
  and Simplified (zh_CN), Russian and Polish translation because
  they were unmaintained and hopelessly out-dated.
  * Removed the Smb4KShellIO class, because its only purpose was to
  provide the Samba version. This is not necessary anymore, because
  we switched to Samba 3.
  * Introduced smb4k_cat and smb4k_mv utilities to read and
  copy/move system config files.
  * The handbook shipping with this release actually contains useful
  information. However, it is still work in progress. The license
  of the handbook has been changed from GFDL to GPL.
  * If a user tries to mount an already mounted share, no error
  message will be displayed anymore.
  * Renamed the global namespace to Smb4KGlobal and several
  functions inside.
  * Centralized the application's timer in the Smb4KGlobal
  namespace. As a side effect, this seems to fix the
  very-fast-vanishing-tooltips problem.
  * If the user canceled the writing to /etc/super.tab or
  /etc/sudoers, the previous state will be re-established.
  * Removed "Specify User" dialog from Smb4KBrowserWidget and moved
  it to Smb4KGlobal namespace. Now only core classes are using it.
  * Reworked and cleaned up Linux specific code in
  Smb4KMounter::import().
  * Moved error handling to Smb4KGlobal namespace. The reason is,
  that the previous signal/slot model was not able to handle
  errors during the initialization of the core.
  * Removed Smb4KPasswordHandler::AskPass class and integrated its
  functionality into Smb4KPasswordHandler::askpass(). This should
  fix the compilation errors encountered when using MIPSpro
  Compilers on IRIX/MIPS (closes #6811).
  * When reading the smb.conf file, a line beginning with a
  semicolon is valued as comment.
  * Reduced CPU load by stretching the interval between checks for
  externally mounted and broken shares from 1000 ms to 2500 ms.
* Wed Apr 19 2006 - stbinner@suse.de
- fix %%suse_update_desktop_file parameter order for 10.1
* Tue Apr 18 2006 - stbinner@suse.de
- 0.6.10 update
* Tue Mar 28 2006 - stbinner@suse.de
- 0.6.9 update
* Mon Feb 27 2006 - stbinner@suse.de
- 0.6.8 update
* Mon Feb 06 2006 - stbinner@suse.de
- 0.6.7 update
* Sun Feb 05 2006 - stbinner@suse.de
- 0.6.6 update
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 07 2006 - stbinner@suse.de
- 0.6.5 update
* Sun Oct 30 2005 - stbinner@suse.de
- 0.6.4 update
* Sat Sep 17 2005 - dmueller@suse.de
- fix installed libtool .la files
* Wed Sep 14 2005 - dmueller@suse.de
- 0.6.3 update
* Fri Aug 19 2005 - coolo@suse.de
- fix file list for icons
* Fri Aug 12 2005 - dmueller@suse.de
- fix .la file
* Sun Aug 07 2005 - adrian@suse.de
- fix categories, single menu entry
* Sat Aug 06 2005 - adrian@suse.de
- move menu entry to System->Network where similar apps are already
* Fri Jul 29 2005 - adrian@suse.de
- initial package of version 0.6.0
